Bug 862612 - anaconda freezes after clicking on "+" in keyboard layout settings
anaconda freezes after clicking on "+" in keyboard layout settings
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F18Beta/F18BetaBlocker
  Show dependency treegraph
 
Reported: 2012-10-03 07:41 EDT by Jan Sedlák
Modified: 2012-10-18 17:24 EDT (History)
5 users (show)

See Also:
Fixed In Version: anaconda-18.13-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-18 17:24:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Sedlák 2012-10-03 07:41:38 EDT
Description of problem:
New anaconda in Fedora 18 Beta TC1 freezes when I click on "+" sign in "KEYBOARD" settings (spouk).

How reproducible:
Always.

Steps to Reproduce:
1. Boot live desktop of F18 Beta TC1
2. Click on "keyboard"
3. Click on "+" sign
  
Actual results:
It freezes.

Expected results:
It shouldn't freeze.

Additional info:
Proposing as beta blockerbug per alfa criterion: "The installer must be able to complete an installation using the text, graphical and VNC installation interfaces"
Comment 1 Chris Lumens 2012-10-03 10:17:43 EDT
Can you check on tty1 to see if there's a traceback?  Also please attach /tmp/anaconda.log to this bug report.  Thanks.
Comment 2 Adam Williamson 2012-10-03 14:35:07 EDT
Discussed at 2012-10-03 blocker review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-10-03/f18-beta-blocker-review-2.2012-10-03-16.00.log.txt . Accepted as a blocker as a conditional violation of criterion "The installer must be able to complete an installation using the text, graphical and VNC installation interfaces".

With oldUI this was obvious as you were forced through the keyboard selection dialog. Now we have a hub/spoke design it's not quite so obvious, but we are choosing to consider keyboard selection as a natural part of a basic install process, we are going to assume that anyone using a non-US keyboard is naturally going to go to the keyboard selection spoke and try to pick it, hence if they can't do that, this effectively breaks the installation process for them.

(For the record, I tested, and I can reproduce this bug exactly as described, from the GNOME live installer, just hit the + button - which you have to do to use any other keyboard layout - and it freezes. Didn't test DVD/netinst yet.)
Comment 3 Chris Lumens 2012-10-05 12:05:54 EDT
Fixing one deadlock introduced another.  Let's take care of both at once.
Comment 4 Fedora Update System 2012-10-05 16:54:52 EDT
anaconda-18.13-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.13-1.fc18
Comment 5 Fedora Update System 2012-10-08 20:20:56 EDT
anaconda-18.14-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.14-1.fc18
Comment 6 Fedora Update System 2012-10-09 13:20:25 EDT
Package anaconda-18.14-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.14-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15707/anaconda-18.14-1.fc18
then log in and leave karma (feedback).
Comment 7 Adam Williamson 2012-10-10 00:24:02 EDT
Checked with Beta TC3, this is fine. (Though I removed English (US) from the layouts in anaconda, but it was installed on the installed system - maybe it's a non-removable fallback?)
Comment 8 Jan Sedlák 2012-10-10 09:34:57 EDT
It works now in Beta TC3.
Comment 9 Adam Williamson 2012-10-18 17:24:35 EDT
18.14 went stable, so closing.

Note You need to log in before you can comment on or make changes to this bug.